services:
  contact_emails.emailer:
    class: Drupal\contact_emails\ContactEmailer
    arguments: ["@plugin.manager.mail", "@contact_emails.helper", "@current_user", "@email.validator", "@messenger"]
  contact_emails.helper:
    class: Drupal\contact_emails\ContactEmails
    arguments: ["@cache.default", "@entity_field.manager", "@entity_type.bundle.info"]
  contact_emails.route_subscriber:
    class: Drupal\contact_emails\Routing\RouteSubscriber
    tags:
      - { name: event_subscriber }
